Subject: Re: I can I boot u-boot from flash on Virtex-4 based board

From: Lorenz Kolb <[email-masked]>
Date: Mon, 26 Feb 2007 16:37:28 +0100

On Mon, 26 Feb 2007 09:55:55 +0800
"yunfeizhang" <yunfeizhang ( a t ) sjtu.edu.cn> wrote:
> 
> Hi all,
> I am confused for a long time about on how to boot a common program on Virtex. I want to porting a 
> 
> u-boot to Xilinx VIrtex-4 ML403 Evaluation Board, but I can even boot a common program from flash.
> 
> can someone give me some advice, thanks for all your kindness!

Hi,

I already found that non trivial.

Easiest way is: write some mini-bootloader that fits into BRAM and loads u-boot from flash.

If you need some more detailed instructions and a patch created from Xilinx'u-boot tree to patch u-boot 1.20 to work with ML403 I can send you the files.

Greetings,

Lorenz Kolb